People and groups
Get a directory user
Get a directory user
curl --request GET \
--url https://agentgateway.atlan.engineering/registry/v1/users/{user_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/users/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"created_at": "<string>",
"id": "<string>",
"updated_at": "<string>",
"artifact_count": 1,
"artifact_count_by_kind": {},
"email": "<string>",
"enrichment": {
"enrichment_status": "<string>",
"enriched_at": "<string>",
"error_class": "<string>",
"grounding": {},
"profile": {
"company": "<string>",
"department": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"sub_department": "<string>",
"title": "<string>",
"twitter_url": "<string>",
"website_url": "<string>"
},
"provider": "<string>",
"reason": "<string>",
"stamped_at": "<string>"
},
"name": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I
Get a directory user
curl --request GET \
--url https://agentgateway.atlan.engineering/registry/v1/users/{user_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/users/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"created_at": "<string>",
"id": "<string>",
"updated_at": "<string>",
"artifact_count": 1,
"artifact_count_by_kind": {},
"email": "<string>",
"enrichment": {
"enrichment_status": "<string>",
"enriched_at": "<string>",
"error_class": "<string>",
"grounding": {},
"profile": {
"company": "<string>",
"department": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"sub_department": "<string>",
"title": "<string>",
"twitter_url": "<string>",
"website_url": "<string>"
},
"provider": "<string>",
"reason": "<string>",
"stamped_at": "<string>"
},
"name": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}